org.yaml.snakeyaml.events

## Class MappingStartEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.NodeEvent
    - - org.yaml.snakeyaml.events.CollectionStartEvent
      - - org.yaml.snakeyaml.events.MappingStartEvent

    public final class MappingStartEvent
    extends CollectionStartEvent

Marks the beginning of a mapping node.

This event is followed by a number of key value pairs.
The pairs are not in any particular order. However, the value always directly follows the corresponding key.
After the key value pairs follows a `MappingEndEvent`.

There must be an even number of node events between the start and end event.

See Also:
  `MappingEndEvent`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`MappingStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, Boolean flowStyle)` Deprecated.
`MappingStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, DumperOptions.FlowStyle flowStyle)`

### Method Summary

Methods
`Event.ID` `getEventId()` Get the type (kind) if this Event

### Methods inherited from class org.yaml.snakeyaml.events.CollectionStartEvent

`getArguments, getFlowStyle, getImplicit, getTag, isFlow`

### Methods inherited from class org.yaml.snakeyaml.events.NodeEvent

`getAnchor`

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getEndMark, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MappingStartEvent

    public MappingStartEvent(String anchor,
                     String tag,
                     boolean implicit,
                     Mark startMark,
                     Mark endMark,
                     DumperOptions.FlowStyle flowStyle)

#### MappingStartEvent

    @Deprecated
    public MappingStartEvent(String anchor,
                                String tag,
                                boolean implicit,
                                Mark startMark,
                                Mark endMark,
                                Boolean flowStyle)

Deprecated.

### Method Detail

#### getEventId

    public Event.ID getEventId()

Description copied from class: `Event`
Get the type (kind) if this Event

Specified by:
  `getEventId` in class `Event`
Returns:
  the ID of this Event